task vcfeval {
    String sample_id
    File vcf1
    File vcf2
    File SDF
    

    String docker
    String cluster
    String disk_size


    
    command <<<
        set -o pipefail
        set -e

        mkdir -p ${sample_id}

        /opt/rtg-tools/dist/rtg-tools-3.10.1-4d58ead/rtg vcfeval -b ${vcf1} \
            -c ${vcf2} \
            -o ${sample_id}/results \
            -t ${SDF}
                  
        find . -depth > fileList.txt
    >>>

    runtime {
        docker: docker
        cluster: cluster
        systemDisk: "cloud_ssd 40"
        dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
    }

    output {
         File fileList = "fileList.txt"
         File Summary = "summary.txt"
    }
}

